# Entity Hit System cooldown

scoreboard players remove @s[tag=mt.entity,scores={mt.entity=1..}] mt.entity 1
tag @s[tag=mt.entity,scores={mt.entity=0}] remove mt.entity
scoreboard players remove @s[scores={mt.hit_delay=1..}] mt.hit_delay 1

execute if entity @s[type=mooshroom,tag=mt.entity] run function mt:mobs/cow_search

# Timers
execute if entity @s[tag=mt.entity,tag=mt.hit_by_ice] run function mt:items/weapons/entity_check
execute if entity @s[tag=mt.entity,tag=mt.windy] run function mt:items/weapons/windy
execute if entity @s[tag=mt.entity,tag=mt.wetness] run function mt:items/weapons/wet
execute if entity @s[tag=mt.entity,tag=mt.absorb_taken] run function mt:runes/piglin/timer

execute at @s[tag=mt.entity,tag=mt.com,scores={mt.commonplot=1..}] run function mt:particles/common/animate
execute at @s[tag=mt.entity,tag=mt.rare,scores={mt.rareplot=1..}] run function mt:particles/rare/animate
execute at @s[tag=mt.entity,tag=mt.epic,scores={mt.epicplot=1..}] run function mt:particles/epic/animate
execute if entity @s[tag=mt.entity,tag=mt.leg] run function mt:particles/legendary/animate

# End Boots ability
execute at @s[type=ender_pearl,tag=mt.entity] if entity @p[predicate=mt:armor/end_boots] run function mt:items/armor/end_boots/main
execute if entity @s[type=ender_pearl,tag=mt.epball] run function mt:items/armor/end_boots/vis_fix
execute if entity @s[type=area_effect_cloud,tag=mt.epitem] unless predicate mt:is_riding_pearl at @s run function mt:items/armor/end_boots/landed

# Custom Weapons with Armor Stand detection
execute at @s[tag=mt.entity,tag=mt.deto_mine] run function mt:items/weapons/deto_mine/main